Description

Add ring background method to ctskymap for background subtraction. Add RING option, loop over all sky regions (“pixels”) and

determine background in a ring, scale by background rate, and subtract

Inputs:

Source integration radius

Ring radii (inner & outer), ON region solidangle is 1/7 of OFF region solidangle in H.E.S.S

Optional exclusion regions

History

#1 - 10/09/2017 03:38 PM - Knödlseder Jürgen

- Assigned To set to Cardenzana Josh

#2 - 10/09/2017 04:12 PM - Cardenzana Josh

- Checklist set to [ ] Add 'RING' option for background subtraction in ctskymap.par, [ ] Update tests, [ ] Implement ring background subtraction method

in ctskymap, [ ] Add parameters to define the integration regions for the ROI and background ring

#3 - 10/13/2017 10:57 AM - Cardenzana Josh

- Checklist changed from [ ] Add 'RING' option for background subtraction in ctskymap.par to [x] Add 'RING' option for background subtraction in

ctskymap.par

#4 - 10/13/2017 10:57 AM - Cardenzana Josh

- Checklist changed from [ ] Update tests to [x] Update tests

#5 - 10/13/2017 10:57 AM - Cardenzana Josh

- Checklist changed from [ ] Implement ring background subtraction method in ctskymap to [x] Implement ring background subtraction method in

ctskymap

#6 - 10/13/2017 10:57 AM - Cardenzana Josh

- Checklist changed from [ ] Add parameters to define the integration regions for the ROI and background ring to [x] Add parameters to define the

integration regions for the ROI and background ring

#7 - 10/16/2017 04:09 PM - Cardenzana Josh

- File Significance_Dist.png added

- File ctskymap_RING_bkg_counts.png added

- File ctskymap_RING_bkg_signif.png added

Attached below is a sample image for the ring background subtraction method. The method follows the prescription outlined in Li & Ma (1983) Eq. 17

for computing the bin-by-bin significance. The number of signal events in each bin is computed as "Non - (alpha * Noff)" where Non is the integrated

counts inside the ROI radius centered on the bin being analyzed and Noff is the number of events in the ring centered on the bin being analyzed.
There are now 5 new parameters to control this method

roiradius: Controls the integration region radius (default = 0)

inradius: Controls the inner radius of the background ring (default = 0.6)

outradius: Controls the outer radius of the background ring (default = 0.8)

regfile: User provided exclusion region file either as a list of DS9 circle regions, or a skymap with all bins to be excluded set to 0 and bins to be

included set to 1 (default is no file)

The bin-by-bin sensitivity is computed as:

(background sensitivity) * (livetime) * (bin solid angle)

where the background sensitivity is computed via the background IRF.

As a test the method was run in 2 different configurations on a generated sample of 16 Crab observations displayed in the image below:

 

Left: No exclusions

Right: Exclusion over the Crab source

As expected, when not using any exclusion on the source a deficit ring appears, due to over subtraction from the non-excluded source. Here are the

associated significance maps:

 

A quick check of the distribution of significance values for all bins outside the exclusion region in the right map provides the following normalized

distribution:

 

A Gaussian with mean=0 sigma=1 is overplotted. The agreement of the Gaussian with the distributions shows the results are reasonable.

Pull branches:

CTools: Josh Cardenznaa / ctools: 2207-ctskymap_RING_bkgsubtract

#8 - 10/16/2017 04:14 PM - Cardenzana Josh

- Status changed from New to Pull request

Forgot to specify this as a pull request.

#9 - 10/16/2017 11:10 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Target version set to 1.5.0

I merged the code into devel.
https://cta-gitlab.irap.omp.eu/jcardenzana/ctools/commits/2207-ctskymap_RING_bkgsubtract


The biggest modification I made was a change of the pixel values for the exclusion map. In fact, in csphagen an exclusion is specified by a non-zero

pixel value, while you used a zero pixel value for that. I hence defined a non-zero pixel as a pixel to be excluded in ctskymap.

We should probably add a test of the exclusion region to the unit tests so that we are sure of that logic.

Files

Significance_Dist.png 62.3 KB 10/16/2017 Cardenzana Josh

ctskymap_RING_bkg_counts.png 600 KB 10/16/2017 Cardenzana Josh

ctskymap_RING_bkg_signif.png 785 KB 10/16/2017 Cardenzana Josh
